/*
 * StartRemoteObject.java
 */

import java.rmi.server.UnicastRemoteObject;  /* exportObject */
import java.rmi.Naming;                      /* rebind       */


public class StartRemoteObject
{
  public static void main (String args[])
  {
    try{
      /* Create ("start") the object which has the remote method */
      RemoteClass robject = new RemoteClass();

      /* Obtain something to export to te client side... the "stub"... */
      RemoteIface riface  = (RemoteIface) UnicastRemoteObject.exportObject(robject, 0);

      /* Register the object on the rmiregistry */
      Naming.rebind("remote", riface);
    } catch (Exception e) 
      {
        System.out.println("Hey, something is missing");
        e.printStackTrace();
        System.out.println(e.getMessage());
      }
  }
}
